import { ITheme, Colors } from '../../typings/theme.types';

export const LightTheme: ITheme = {
  basic: 'white',
  primaryBackground: Colors.WHITE,
  secondaryBackground: Colors.LAVENDER_GRAY,
  textInputBackground: Colors.CULTURED,
  buttonBackground: Colors.LANGUID_LAVENDER,
  graphBackground: Colors.LIGHT_BLUE,
  chartBackground: Colors.WHITE,
  sliderBackground: Colors.GRAYISH,
  sliderTintColor: Colors.TIMBERWOLF,
  chartTitleColor: Colors.OLD_MAUVE,
  listColor: Colors.CULTURED,
  borderColor: Colors.LAVENDER_GRAY,
  chargingRingColor: Colors.MINT_GREEN,
  chargingRingGradientColor: Colors.PALE_SPRING_BUD,
  primaryTextColor: Colors.EERIE_BLACK,
  secondaryTextColor: Colors.JET_BLACK,
  climateStatusColor: Colors.LIGHT_BLUE,
  chargingStatusColor: Colors.JUNE_BUD,
  headerColor: Colors.WHITE,
  placeholderTextColor: Colors.GRAY_WEB,
  cursorColor: Colors.OLD_BURGUNDY,
  markerColor: Colors.RUSSET,
  routeColor: Colors.OLIVE_DRAB,
  activeTabPickerColor: Colors.WHITE,
  tabButtonActiveColor: Colors.PURPLE_NAVY,
  tabButtonInactiveColor: Colors.OLD_BURGUNDY,
  controlItemActiveButtonColor: Colors.TIMBERWOLF,
  controlItemInactiveButtonColor: Colors.GRAYISH,
  seatHeaterIndicatorActiveColor: Colors.CARDINAL,
  seatHeaterIndicatorInactiveColor: Colors.LAVENDER_GRAY,
  modalBackground: Colors.CULTURED,
  modalHandleColor: Colors.GRAY_WEB,
  graphAreaColor: Colors.COPPER_ROSE,
  errorColor: Colors.CARDINAL,
  gradient1: [Colors.WHITE, Colors.LIGHT_GRAY],
  gradient2: [Colors.WHITE, Colors.LAVENDER_BUSH],
  gradient3: [Colors.BABY_POWDER, Colors.LAVENDER_GRAY],
};
